org.apache.ode.daohib.bpel.hobj

## Class HMessageExchange

- java.lang.Object
- - org.apache.ode.daohib.bpel.hobj.HObject
  - - org.apache.ode.daohib.bpel.hobj.HMessageExchange

-     public class HMessageExchange
      extends HObject

  Hibernate-managed table for keeping track of message exchanges.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `SELECT_MEX_IDS_BY_INSTANCES`
    `static java.lang.String` | `SELECT_UNMATCHED_MEX_BY_INSTANCES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HMessageExchange()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getCallbackEndpoint()`
    `java.lang.String` | `getCallee()`
    `java.lang.String` | `getChannelName()`
    `java.lang.String` | `getClientKey()`
    `java.lang.String` | `getCorrelationStatus()`
    `char` | `getDirection()`
    `byte[]` | `getEndpoint()`
    `java.lang.String` | `getFault()`
    `java.lang.String` | `getFaultExplanation()`
    `java.util.Date` | `getInsertTime()`
    `HProcessInstance` | `getInstance()`
    `java.lang.String` | `getOperationName()`
    `HPartnerLink` | `getPartnerLink()`
    `int` | `getPartnerLinkModelId()`
    `java.lang.String` | `getPattern()`
    `java.lang.String` | `getPipedMessageExchangeId()`
    `java.lang.String` | `getPortType()`
    `HProcess` | `getProcess()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `HMessage` | `getRequest()`
    `HMessage` | `getResponse()`
    `java.lang.String` | `getState()`
    `int` | `getSubscriberCount()`
    `void` | `incrementSubscriberCount()`
    `void` | `setCallbackEndpoint(byte[] endpoint)`
    `void` | `setCallee(java.lang.String callee)`
    `void` | `setChannelName(java.lang.String channelName)`
    `void` | `setClientKey(java.lang.String clientKey)`
    `void` | `setCorrelationStatus(java.lang.String cstatus)`
    `void` | `setDirection(char dir)`
    `void` | `setEndpoint(byte[] endpoint)`
    `void` | `setFault(java.lang.String faultType)`
    `void` | `setFaultExplanation(java.lang.String faultExplanation)`
    `void` | `setInsertTime(java.util.Date insertTime)`
    `void` | `setInstance(HProcessInstance instance)`
    `void` | `setOperationName(java.lang.String operationName)`
    `void` | `setPartnerLink(HPartnerLink link)`
    `void` | `setPartnerLinkModelId(int id)`
    `void` | `setPattern(java.lang.String pattern)`
    `void` | `setPipedMessageExchangeId(java.lang.String pipedMessageExchangeId)`
    `void` | `setPortType(java.lang.String portType)`
    `void` | `setProcess(HProcess process)`
    `void` | `setProperties(java.util.Map<java.lang.String,java.lang.String> props)`
    `void` | `setRequest(HMessage request)`
    `void` | `setResponse(HMessage response)`
    `void` | `setState(java.lang.String state)`
    `void` | `setSubscriberCount(int subscriberCount)`

    - ### Methods inherited from class org.apache.ode.daohib.bpel.hobj.HObject

      `getCreated, getId, getLock, setCreated, setId, setLock, toIdArray, toIdArray, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SELECT_MEX_IDS_BY_INSTANCES

          public static final java.lang.String SELECT_MEX_IDS_BY_INSTANCES

      See Also:
        Constant Field Values

    - #### SELECT_UNMATCHED_MEX_BY_INSTANCES

          public static final java.lang.String SELECT_UNMATCHED_MEX_BY_INSTANCES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HMessageExchange

          public HMessageExchange()

  - ### Method Detail

    - #### getPortType

          public java.lang.String getPortType()

    - #### setPortType

          public void setPortType(java.lang.String portType)

    - #### getChannelName

          public java.lang.String getChannelName()

    - #### setChannelName

          public void setChannelName(java.lang.String channelName)

    - #### getClientKey

          public java.lang.String getClientKey()

    - #### setClientKey

          public void setClientKey(java.lang.String clientKey)

    - #### getEndpoint

          public byte[] getEndpoint()

    - #### setEndpoint

          public void setEndpoint(byte[] endpoint)

    - #### getCallbackEndpoint

          public byte[] getCallbackEndpoint()

    - #### setCallbackEndpoint

          public void setCallbackEndpoint(byte[] endpoint)

    - #### getRequest

          public HMessage getRequest()

    - #### setRequest

          public void setRequest(HMessage request)

    - #### getResponse

          public HMessage getResponse()

    - #### setResponse

          public void setResponse(HMessage response)

    - #### getInsertTime

          public java.util.Date getInsertTime()

    - #### setInsertTime

          public void setInsertTime(java.util.Date insertTime)

    - #### getOperationName

          public java.lang.String getOperationName()

    - #### setOperationName

          public void setOperationName(java.lang.String operationName)

    - #### getState

          public java.lang.String getState()

    - #### setState

          public void setState(java.lang.String state)

    - #### getProcess

          public HProcess getProcess()

    - #### setProcess

          public void setProcess(HProcess process)

    - #### getInstance

          public HProcessInstance getInstance()

    - #### setInstance

          public void setInstance(HProcessInstance instance)

    - #### setDirection

          public void setDirection(char dir)

    - #### getDirection

          public char getDirection()

    - #### getPartnerLinkModelId

          public int getPartnerLinkModelId()

    - #### setPartnerLinkModelId

          public void setPartnerLinkModelId(int id)

    - #### getPattern

          public java.lang.String getPattern()

    - #### setPattern

          public void setPattern(java.lang.String pattern)

    - #### getCorrelationStatus

          public java.lang.String getCorrelationStatus()

      Returns:

    - #### setCorrelationStatus

          public void setCorrelationStatus(java.lang.String cstatus)

    - #### getFault

          public java.lang.String getFault()

      Returns:

    - #### setFault

          public void setFault(java.lang.String faultType)

    - #### getFaultExplanation

          public java.lang.String getFaultExplanation()

      Returns:

    - #### setFaultExplanation

          public void setFaultExplanation(java.lang.String faultExplanation)

    - #### getCallee

          public java.lang.String getCallee()

    - #### setCallee

          public void setCallee(java.lang.String callee)

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

    - #### setProperties

          public void setProperties(java.util.Map<java.lang.String,java.lang.String> props)

    - #### setPartnerLink

          public void setPartnerLink(HPartnerLink link)

    - #### getPartnerLink

          public HPartnerLink getPartnerLink()

    - #### getPipedMessageExchangeId

          public java.lang.String getPipedMessageExchangeId()

    - #### setPipedMessageExchangeId

          public void setPipedMessageExchangeId(java.lang.String pipedMessageExchangeId)

    - #### getSubscriberCount

          public int getSubscriberCount()

    - #### setSubscriberCount

          public void setSubscriberCount(int subscriberCount)

    - #### incrementSubscriberCount

          public void incrementSubscriberCount()